#ifndef ONEDAYWEATHER_H
#define ONEDAYWEATHER_H

#include <QWidget>
#include <QVBoxLayout>
#include <QLabel>
#include <QGSettings/QGSettings>
#include "global/viewvar.h"
class onedayweather : public QWidget
{
    Q_OBJECT
public:
    explicit onedayweather(QWidget *parent = nullptr);
    void isFullScreen(int);
    int m_judgeFullScreen;
    QLabel *m_dayOfWeek;
    QLabel *m_date;
    QLabel *m_weatherIcon;
    QLabel *m_temp;
    QLabel *m_weather;
    QLabel *m_wind;

private:
    QVBoxLayout *m_onedayLayout;

    QFont m_font;
    void initLayout();
    void initQss(double, double);
    void initConnect();
    void lable2SetFontSizeSlot(int size);
    QGSettings *m_fontSize = nullptr;

signals:
};

#endif // ONEDAYWEATHER_H
